Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000912Core InformSpacing and printingpublic2012-05-01 21:062014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000912: Printing indexed text bypasses the current IO system
DescriptionThe same idea as 0000845, but in a different piece of code: Indexed text is shipped directly to Glk, even if another IO system is selected. Consequently, ``Hello World'', which should be censored in the attached source, instead prints normally.
Minimal Source Text To Reproduce
There is a room.

Include (-
	[ filter character;
		glk_put_char('X');
	];
-).

To say filter -- beginning say_filter: (- @getiosys sp sp; @setiosys 1 filter; -).
To say end filter -- ending say_filter: (- @stkswap; @setiosys sp sp; -).

When play begins:
	let the message be some indexed text;
	now the message is "Hello World.";
	say "[filter][the message][end filter]".
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002408)
graham (administrator)
2014-01-28 14:56

The indexed text vs. text works differently now, so it's harder to provoke this bug, but in any case I've fixed it.

- Issue History
Date Modified Username Field Change
2012-05-01 21:06 EmacsUser New Issue
2012-05-01 21:06 EmacsUser Issue generated from 0000845
2012-05-07 01:33 curiousdannii Assigned To => curiousdannii
2012-05-07 01:33 curiousdannii Status new => confirmed
2012-05-07 01:33 curiousdannii Assigned To curiousdannii =>
2014-01-28 14:56 graham Note Added: 0002408
2014-01-28 14:56 graham Status confirmed => resolved
2014-01-28 14:56 graham Resolution open => fixed
2014-01-28 14:56 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker